Stories & Metadata v4

Deprecated
View as Markdown
**Deprecated:** Use [Stories & Metadata v5](#/Newsroom/getStoriesV5) instead. Allows the retrieval of individual stories with meta-data for a specific Dataset, time range, optional source parameter, sort order and Smart Filter id provided in request. Each response is limited to 200 stories at a time. A 'next' token will be provided in the response that can be used to retrieve the next page of stories for the timeframe. The response will contain the field `potential_impressions` if any impressions exist for the story, otherwise this field will be considered unknown and not included in the response. - The date range has to be 32 days or less. - By default time is in UTC 'Z'. It can be modified replacing 'Z' with time offsets that can go from '+12:00' to '-12:00': `YYYY-MM-DDTHH:MM:SS±HH:MM`. - Date values are optional. Default to the last 24 hours when not specified. - Pagination: For a given date (timestamp) range, the 'total' field indicates the number of stories that fit the request. Of those results, 0 to 200 will be returned in the response. If the total exceeds the 200 limit, a 'next' token will be returned allowing the user to get the next block of results. - `next` is the token to retrieve the next page (if total results for request > 200). - `sorted_by` allows results to be retrieved in the order they were created (default) or in the order they were persisted in the Zignal platform. Possible values: `persisted_at` and `created_at`. If `persisted_at` is provided, only the last 2 days can be queried.

Path parameters

idstringRequired
The Dataset id

Request

This endpoint expects a map from strings to any.

Response

Successful response

Errors

400
Bad Request Error
404
Not Found Error